/*
 
Copyright 2011 Bernardo Cuteri bernardoc91@hotmail.it  
 
This file is part of "Ascii Space Invaders".
 
"Ascii Space Invaders" is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
 
"Ascii Space Invaders" is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with "Ascii Space Invaders".  If not, see
<http://www.gnu.org/licenses/>.
 
*/

#include "Monster.h"
#include "Drop.h"
#ifndef BULLET_H
#define BULLET_H
class Bullet
{
	public:
		Bullet();
		void drawBullet();
		void delBullet(Monster [],Drop [],bool attacco=false,int dimMostri=160);
		void mvBullet();
		void attivazione(int);
		void disattivazione();
		bool getAttivita();
		int getPotenza();
		int getX();
		int getY();
		void setRedPower(int);
		int getRedPower();
		void setBluePower(int);
		int getBluePower();
		
	private:
		bool Attivita;
		int CoordX;
		int CoordY;
		int Potenza;
		int RedPower;
		int BluePower;
};
#endif
