/*
 
Copyright 2011 Bernardo Cuteri bernardoc91@hotmail.it  
 
This file is part of "Ascii Space Invaders".
 
"Ascii Space Invaders" is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
 
"Ascii Space Invaders" is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with "Ascii Space Invaders".  If not, see
<http://www.gnu.org/licenses/>.
 
*/
 
#ifndef NAVICELLA_H
#define NAVICELLA_H
class Navicella 
{
	public:
		Navicella();
		void operator--(int);
		void operator++(int);
		bool moveHP(int,bool & GameOver);
		void UpVita();
		void drawNav(int y,int colpita=0);
		void delNav(int y);	
		int getX();
		void riseRedPower();
		void closeRedPower();
		int getRedPower();
		void riseBluePower();
		void closeBluePower();
		int getBluePower();
		void setFreeze(int);
		int getFreeze();
		void reset();
		int getDoubleDrop();
		void setDoubleDrop(int);
	private:
		int HP;
		int Life;
		int CoordX;
		int RedPower;
		int BluePower;
		int Freeze;
		int DoubleDrop;
};
#endif
